### Enumeration

# Qmi NasSwiSystemMode

since: 1.24

#### Declaration

    enum Qmi.NasSwiSystemMode

#### Description [src]

System mode (Sierra Wireless specific).

Available since: 1.24

#### Members

`QMI_NAS_SWI_SYSTEM_MODE_NO_SERVICE`

  No service.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_AMPS`

  AMPS.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_CDMA`

  CDMA.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_GSM`

  GSM.

  - Value: `3`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_HDR`

  HDR.

  - Value: `4`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_WCDMA`

  WCDMA.

  - Value: `5`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_GPS`

  GPS.

  - Value: `6`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_WLAN`

  WLAN.

  - Value: `8`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_LTE`

  LTE.

  - Value: `9`
  - Available since: 1.24
`QMI_NAS_SWI_SYSTEM_MODE_UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.24

#### Type functions

###### qmi_nas_swi_system_mode_get_string

Gets the nickname string for the `QmiNasSwiSystemMode` specified at `val`.

since: 1.24